Download it now!
Bug 129158 - sorting multiple selected rows leads to CALC hanging
Summary: sorting multiple selected rows leads to CALC hanging
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.3.3.2 release
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.5.0 target:6.4.1 target:6.3.5
Keywords: perf
Depends on:
Blocks:
 
Reported: 2019-12-03 10:38 UTC by Oliver Grimm
Modified: 2020-01-24 17:06 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Oliver Grimm 2019-12-03 10:38:45 UTC
Description:
sorting multiple rows in calc leads to all LO windows not responding and possible data loss.

Steps to Reproduce:
1. open a new calc file
2. select rows 1-3 with the mouse
3. select "Data | Sort" from main menu

Actual Results:
- Calc hangs with 100% CPU load
- all open LO windows become irresponsive
- required killing of Calc window leads to possible data loss in this and other running LO instances (including Writer, Impress ...)

Expected Results:
sorting with multiple rows selected should work just fine


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 6.3.3.2.0+
Build-ID: 1:6.3.3-2~bpo10+1
CPU-Threads: 4; BS: Linux 4.19; UI-Render: Standard; VCL: gtk3; 
locale: de-DE (de_DE.utf8); UI-lang: de-DE
Calc: threaded
Debian stable, LibreOffice from stable-backports
Comment 1 Oliver Brinzing 2019-12-03 18:54:49 UTC
no repro with:

Version: 6.3.4.1 (x64)
Build-ID: a21169d87339dfa44546f33d6d159e89881e9d92
CPU-Threads: 4; BS: Windows 10.0; UI-Render: Standard; VCL: win; 
Gebietsschema: de-DE (de_DE); UI-Sprache: de-DE
Calc:
Comment 2 Oliver Grimm 2019-12-03 19:33:00 UTC
Thank you for testing on your machine.

I just found out that that this bug ONLY occurs in Wayland sessions.
The bug does NOT occur in XOrg sessions.

Can someone please try to reproduce on Linux in a Wayland session?
Comment 3 Xisco Faulí 2019-12-11 14:07:29 UTC
(In reply to Oliver Grimm from comment #2)
> Thank you for testing on your machine.
> 
> I just found out that that this bug ONLY occurs in Wayland sessions.
> The bug does NOT occur in XOrg sessions.
> 
> Can someone please try to reproduce on Linux in a Wayland session?

Do you reproduce it if you launch LibreOffice from commandline like 'SAL_USE_VCLPLUGIN=gen soffice' ?
Comment 4 Oliver Grimm 2019-12-12 09:41:06 UTC
no. With 'SAL_USE_VCLPLUGIN=gen soffice' the bug does not occur.
Comment 5 Oliver Grimm 2019-12-13 20:39:44 UTC
in addition, NO bug with VCL kde5:

Version: 6.3.3.2.0+
Build-ID: 1:6.3.3-3
CPU-Threads: 2; BS: Linux 5.3; UI-Render: Standard; VCL: kde5; 
Gebietsschema: de-DE (de_DE.UTF-8); UI-Sprache: de-DE
Calc: threaded

so far, the bug only occurs with "Linux Gnome3 Wayland".
Comment 6 Xisco Faulí 2020-01-20 12:07:50 UTC
You can't confirm your own bugs. Moving it back to UNCONFIRMED until someone
else confirms it.
Comment 7 Xisco Faulí 2020-01-20 18:58:33 UTC
(In reply to Oliver Grimm from comment #5)
> in addition, NO bug with VCL kde5:
> 
> Version: 6.3.3.2.0+
> Build-ID: 1:6.3.3-3
> CPU-Threads: 2; BS: Linux 5.3; UI-Render: Standard; VCL: kde5; 
> Gebietsschema: de-DE (de_DE.UTF-8); UI-Sprache: de-DE
> Calc: threaded
> 
> so far, the bug only occurs with "Linux Gnome3 Wayland".

Hi Caolán,
In case you are using Wayland, do you reproduce it on your end ?
Comment 8 Commit Notification 2020-01-23 12:43:45 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/b650fe8a75e34d109764b25527e034845f6445e1

Resolves: tdf#129158 freeze/thaw around bulk inserts

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Caolán McNamara 2020-01-23 13:08:34 UTC
fixed in master, backports to 6-4 and 6-3 in gerrit
Comment 10 Commit Notification 2020-01-24 14:22:59 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/39f08d04047fba6fef9972f8b2ab4cd5658870ea

Resolves: tdf#129158 freeze/thaw around bulk inserts

It will be available in 6.4.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2020-01-24 17:06:38 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/commit/a34e4090b39852b6d44a0107f375ff48253cd077

Resolves: tdf#129158 freeze/thaw around bulk inserts

It will be available in 6.3.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.